<?php

// ViaThinkSoft Windows functions Library
// Licensed under GPLv3

function sanitize_filename_windows($string, $replacement_char = '') {
	// Trim filename (TODO: each directory for itself, if $string contains '/')
	$string = trim($string);

	// TODO: QUE: #00 char?

	// Characters forbidden in Windows: \ /  : * ? " < > |
	$string = str_replace('\\', $replacement_char, $string);
	$string = str_replace('/',  $replacement_char, $string);
	$string = str_replace(':',  $replacement_char, $string);
	$string = str_replace('*',  $replacement_char, $string);
	$string = str_replace('?',  $replacement_char, $string);
	$string = str_replace('"',  $replacement_char, $string);
	$string = str_replace('<',  $replacement_char, $string);
	$string = str_replace('>',  $replacement_char, $string);
	$string = str_replace('|',  $replacement_char, $string);

	return $string;
}

?>
